Index: trunk/libIGCM/AA_create_ts
===================================================================
--- trunk/libIGCM/AA_create_ts	(revision 784)
+++ trunk/libIGCM/AA_create_ts	(revision 785)
@@ -100,5 +100,5 @@
 TsTask=${TsTask:=2D}
 if [ X${TsTask} = Xempty ] ; then
-    TsTask=""
+  TsTask=""
 fi
 
@@ -165,5 +165,5 @@
 MENAGE () 
 {
-    [ -f $3 ] && ( IGCM_sys_RshArchive rm -f $1/$2 ;)
+  [ -f $3 ] && ( IGCM_sys_RshArchive rm -f $1/$2 ;)
 }
 
@@ -179,11 +179,11 @@
 
 if [ ${StandAlone} = true ] ; then
-    CARD_DIR=${SUBMIT_DIR}
+  CARD_DIR=${SUBMIT_DIR}
 else
-    CARD_DIR=${RUN_DIR_PATH}
-    IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
-    IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
-    IGCM_sys_Get_Master ${SUBMIT_DIR}/COMP        ${RUN_DIR_PATH}
-    IGCM_sys_Get_Master ${SUBMIT_DIR}/POST        ${RUN_DIR_PATH}
+  CARD_DIR=${RUN_DIR_PATH}
+  IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
+  IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
+  IGCM_sys_Get_Master ${SUBMIT_DIR}/COMP        ${RUN_DIR_PATH}
+  IGCM_sys_Get_Master ${SUBMIT_DIR}/POST        ${RUN_DIR_PATH}
 fi
 
@@ -228,9 +228,9 @@
 # Determine Dimension of the produced time series : 2D or 3D
 if (   [ X${TsTask} = XChunck2D ] || [ X${TsTask} = X2D ] ) ; then
-    Dimension=2D
+  Dimension=2D
 elif ( [ X${TsTask} = XChunck3D ] || [ X${TsTask} = X3D ] ) ; then
-    Dimension=3D
+  Dimension=3D
 else
-    Dimension=""
+  Dimension=""
 fi
 
@@ -255,145 +255,145 @@
 DoJob=false
 for comp in ${config_ListOfComponents[*]} ; do
-    #
-    ActiveComp=false
-    #
-    IGCM_card_DefineArrayFromOption ${CARD_DIR}/config.card ListOfComponents ${comp}
-    eval compname=\${config_ListOfComponents_${comp}[0]} > /dev/null 2>&1
-    #
-    card=${CARD_DIR}/COMP/${compname}.card
-
-    IGCM_card_DefineArrayFromOption ${card} OutputFiles List
-    #
-    ListFilesName=${compname}_OutputFiles_List
-    eval FileName0=\${${ListFilesName}[0]} > /dev/null 2>&1
-    #
-    if [ X${FileName0} != X${NULL_STR} ] ; then
-	#
-	#IGCM_debug_Print 1 "Component      : ${compname}"
-	#
-	# INITIALISATION
-	#
-	typeset i
-	if [ ${FlagToRead} ] ; then
-	    ((NbFiles=${FlagToRead}))
-	    ((i=${NbFiles}))
-	else
-	    eval NbFiles=\${#${ListFilesName}[@]} > /dev/null 2>&1
-	    i=2
-	fi
-	#
-	until [ $i -gt $NbFiles ]; do
-	    #
-	    eval flag_post=\${${ListFilesName}[$i]} > /dev/null 2>&1
-	    #
-	    if [ X${flag_post} != XNONE ] ; then
-		#
-	        # For each comp and each file who needs post-processing
-	        # determine which variables need time series.
-	        #
-		FILE=$( echo ${flag_post} | awk "-FPost_" '{print $2}' )
-		IGCM_card_DefineArrayFromOption ${card}    Post_${FILE} TimeSeriesVars${Dimension}
-		IGCM_card_DefineVariableFromOption ${card} Post_${FILE} ChunckJob${Dimension}
-	        #
-		# If TimeSeriesVars list is empty we skip
-		#
-		if [ $( eval echo \${${compname}_Post_${FILE}_TimeSeriesVars${Dimension}} ) = ${NULL_STR} ] ; then
-	            #
-		    IGCM_debug_Print 3 "Nothing to do for ${FILE} according to ${card}"
-		    IGCM_debug_Print 3 "TimeSeriesVars${Dimension} for ${FILE} is empty"
-		    (( i=i+3 ))
-		    continue
-	            #
-		fi
-		#
-		# If files/variables has been switch off by ChunckJob${Dimension}=0 we skip
-		#
-		if [ X$( eval echo \${${compname}_Post_${FILE}_ChunckJob${Dimension}} ) = XOFF ] ; then
-		    IGCM_debug_Print 3 "Nothing to do for ${FILE} according to ${card}"
-		    IGCM_debug_Print 3 "ChunckJob${Dimension}=OFF for ${FILE} so it has been switched off"
-		    (( i=i+3 ))
-		    continue
-		fi
-		#
-	        # If we are not a Chunck type task, we skip files/variables handled by chunck task
-	        #
-		if ( [ ! X${TsTask} = XChunck${Dimension} ] && [ ! X${TsTask} = X ] && [ ! XChunck${Dimension} = XChunck ] ) ; then
-		    if [ ! $( eval echo \${${compname}_Post_${FILE}_ChunckJob${Dimension}} ) = NONE ] ; then
-			IGCM_debug_Print 3 "Nothing to do for ${FILE} TimeSeriesVars${Dimension} according to ${card}"
-			IGCM_debug_Print 3 "Let another chunck task do the job $( eval echo \${${compname}_Post_${FILE}_ChunckJob${Dimension}} )"
-			(( i=i+3 ))
-			continue
-		    fi
-		fi
-		#
-		# Now on we know we have things to do
-		#
-
-		#
-	        #  We need coordinates axis to properly fill produced time series
-	        #
-		IGCM_card_DefineArrayFromOption ${card} Post_${FILE} GatherWithInternal
-	        #
-		if [ $( eval echo \${${compname}_Post_${FILE}_GatherWithInternal} ) = ${NULL_STR} ] ; then
-	            #
-		    IGCM_debug_Print 1 "ERROR !! We miss coordinate axis for ${FILE} according to ${card}"
-		    IGCM_debug_Print 1 "So no time series will be produced for ${FILE} !!"
-		    (( i=i+3 ))
-		    continue
-	            #
-		fi
-	        #
-	        # We need LIST of variables not allready produced (useful for standalone mode)
-	        #
-		FlagDir=$( echo ${FILE} | awk -F "_" '{print $1}' )
-		case ${FlagDir} in
-		    *Y)  TS_Dir=TS_YE  ;;
-		    *M)  TS_Dir=TS_MO  ;;
-		    *D)  TS_Dir=TS_DA  ;;
-		    HF)  TS_Dir=TS_HF  ;;
-		    3H)  TS_Dir=TS_HF  ;;
-		    INS) TS_Dir=TS_INS ;;
-		esac
-		#
-		count=0
-		for var in $( eval echo \${${compname}_Post_${FILE}_TimeSeriesVars${Dimension}[*]} ) ; do
-	            #
-		    DIRECTORY=${R_SAVE}/${comp}/Analyse/${TS_Dir}
-		    TestedFile=${config_UserChoices_JobName}_${DateBegin}_${PeriodDateEnd}_${FlagDir}_${var}.nc
-	            #
-		    IGCM_sys_TestFileArchive ${DIRECTORY}/${TestedFile}
-		    if [ ! $? = 0 ] ; then
-			eval set +A LISTE_VARS_${FILE} \${LISTE_VARS_${FILE}[*]} ${var}
-			ActiveComp=true
-			(( count = count + 1 ))
-		    fi
-		done
-		#
-		if [ ${count} -gt 0 ] ; then
-	            #
-		    eval set +A LISTE_FILE_${comp} \${LISTE_FILE_${comp}[*]} ${FILE}
-		    eval set +A LISTE_AXIS_${FILE} \${${compname}_Post_${FILE}_GatherWithInternal[*]}
-		    #
-		    if [ ! X${RebuildFrequency} = Xtrue ] ; then
-			IGCM_card_DefineArrayFromOption ${card} Post_${FILE} Patches
-			eval set +A LISTE_PATCHES_${FILE} \${${compname}_Post_${FILE}_Patches[*]}
-			if [ X$( eval echo \${LISTE_PATCHES_${FILE}[0]} ) !=  X${NULL_STR} ]; then
-			    for Patch in $( eval echo \${LISTE_PATCHES_${FILE}[*]} ); do
-				if [ Xload${Patch} != X ] ; then
-				    . ${libIGCM}/libIGCM_post/IGCM_${Patch}.ksh
-				    eval load${Patch}=loaded
-				fi
-			    done
-			fi
-		    fi
-		fi
-	    fi
-	    (( i=i+3 ))
-	done
+  #
+  ActiveComp=false
+  #
+  IGCM_card_DefineArrayFromOption ${CARD_DIR}/config.card ListOfComponents ${comp}
+  eval compname=\${config_ListOfComponents_${comp}[0]} > /dev/null 2>&1
+  #
+  card=${CARD_DIR}/COMP/${compname}.card
+
+  IGCM_card_DefineArrayFromOption ${card} OutputFiles List
+  #
+  ListFilesName=${compname}_OutputFiles_List
+  eval FileName0=\${${ListFilesName}[0]} > /dev/null 2>&1
+  #
+  if [ X${FileName0} != X${NULL_STR} ] ; then
+    #
+    #IGCM_debug_Print 1 "Component      : ${compname}"
+    #
+    # INITIALISATION
+    #
+    typeset i
+    if [ ${FlagToRead} ] ; then
+      ((NbFiles=${FlagToRead}))
+      ((i=${NbFiles}))
+    else
+      eval NbFiles=\${#${ListFilesName}[@]} > /dev/null 2>&1
+      i=2
     fi
     #
-    if [ ${ActiveComp} = true ] ; then
-	set +A ActiveListOfComponents ${ActiveListOfComponents[*]} ${comp}
-    fi
+    until [ $i -gt $NbFiles ]; do
+      #
+      eval flag_post=\${${ListFilesName}[$i]} > /dev/null 2>&1
+      #
+      if [ X${flag_post} != XNONE ] ; then
+        #
+        # For each comp and each file who needs post-processing
+        # determine which variables need time series.
+        #
+        FILE=$( echo ${flag_post} | awk "-FPost_" '{print $2}' )
+        IGCM_card_DefineArrayFromOption ${card}    Post_${FILE} TimeSeriesVars${Dimension}
+        IGCM_card_DefineVariableFromOption ${card} Post_${FILE} ChunckJob${Dimension}
+        #
+        # If TimeSeriesVars list is empty we skip
+        #
+        if [ $( eval echo \${${compname}_Post_${FILE}_TimeSeriesVars${Dimension}} ) = ${NULL_STR} ] ; then
+          #
+          IGCM_debug_Print 3 "Nothing to do for ${FILE} according to ${card}"
+          IGCM_debug_Print 3 "TimeSeriesVars${Dimension} for ${FILE} is empty"
+          (( i=i+3 ))
+          continue
+          #
+        fi
+        #
+        # If files/variables has been switch off by ChunckJob${Dimension}=0 we skip
+        #
+        if [ X$( eval echo \${${compname}_Post_${FILE}_ChunckJob${Dimension}} ) = XOFF ] ; then
+          IGCM_debug_Print 3 "Nothing to do for ${FILE} according to ${card}"
+          IGCM_debug_Print 3 "ChunckJob${Dimension}=OFF for ${FILE} so it has been switched off"
+          (( i=i+3 ))
+          continue
+        fi
+        #
+          # If we are not a Chunck type task, we skip files/variables handled by chunck task
+          #
+        if ( [ ! X${TsTask} = XChunck${Dimension} ] && [ ! X${TsTask} = X ] && [ ! XChunck${Dimension} = XChunck ] ) ; then
+          if [ ! $( eval echo \${${compname}_Post_${FILE}_ChunckJob${Dimension}} ) = NONE ] ; then
+            IGCM_debug_Print 3 "Nothing to do for ${FILE} TimeSeriesVars${Dimension} according to ${card}"
+            IGCM_debug_Print 3 "Let another chunck task do the job $( eval echo \${${compname}_Post_${FILE}_ChunckJob${Dimension}} )"
+            (( i=i+3 ))
+            continue
+          fi
+        fi
+        #
+        # Now on we know we have things to do
+        #
+
+        #
+        #  We need coordinates axis to properly fill produced time series
+        #
+        IGCM_card_DefineArrayFromOption ${card} Post_${FILE} GatherWithInternal
+        #
+        if [ $( eval echo \${${compname}_Post_${FILE}_GatherWithInternal} ) = ${NULL_STR} ] ; then
+          #
+          IGCM_debug_Print 1 "ERROR !! We miss coordinate axis for ${FILE} according to ${card}"
+          IGCM_debug_Print 1 "So no time series will be produced for ${FILE} !!"
+          (( i=i+3 ))
+          continue
+          #
+        fi
+        #
+        # We need LIST of variables not allready produced (useful for standalone mode)
+        #
+        FlagDir=$( echo ${FILE} | awk -F "_" '{print $1}' )
+        case ${FlagDir} in
+          *Y)  TS_Dir=TS_YE  ;;
+          *M)  TS_Dir=TS_MO  ;;
+          *D)  TS_Dir=TS_DA  ;;
+          HF)  TS_Dir=TS_HF  ;;
+          3H)  TS_Dir=TS_HF  ;;
+          INS) TS_Dir=TS_INS ;;
+        esac
+        #
+        count=0
+        for var in $( eval echo \${${compname}_Post_${FILE}_TimeSeriesVars${Dimension}[*]} ) ; do
+          #
+          DIRECTORY=${R_SAVE}/${comp}/Analyse/${TS_Dir}
+          TestedFile=${config_UserChoices_JobName}_${DateBegin}_${PeriodDateEnd}_${FlagDir}_${var}.nc
+          #
+          IGCM_sys_TestFileArchive ${DIRECTORY}/${TestedFile}
+          if [ ! $? = 0 ] ; then
+            eval set +A LISTE_VARS_${FILE} \${LISTE_VARS_${FILE}[*]} ${var}
+            ActiveComp=true
+            (( count = count + 1 ))
+          fi
+        done
+        #
+        if [ ${count} -gt 0 ] ; then
+          #
+          eval set +A LISTE_FILE_${comp} \${LISTE_FILE_${comp}[*]} ${FILE}
+          eval set +A LISTE_AXIS_${FILE} \${${compname}_Post_${FILE}_GatherWithInternal[*]}
+          #
+          if [ ! X${RebuildFrequency} = Xtrue ] ; then
+            IGCM_card_DefineArrayFromOption ${card} Post_${FILE} Patches
+            eval set +A LISTE_PATCHES_${FILE} \${${compname}_Post_${FILE}_Patches[*]}
+            if [ X$( eval echo \${LISTE_PATCHES_${FILE}[0]} ) !=  X${NULL_STR} ]; then
+              for Patch in $( eval echo \${LISTE_PATCHES_${FILE}[*]} ); do
+                if [ Xload${Patch} != X ] ; then
+                  . ${libIGCM}/libIGCM_post/IGCM_${Patch}.ksh
+                  eval load${Patch}=loaded
+                fi
+              done
+            fi
+          fi
+        fi
+      fi
+      (( i=i+3 ))
+    done
+  fi
+  #
+  if [ ${ActiveComp} = true ] ; then
+    set +A ActiveListOfComponents ${ActiveListOfComponents[*]} ${comp}
+  fi
 done
 
@@ -414,28 +414,28 @@
 
 if [ ${StandAlone} != true ] ; then
-    Running_Flag=$( IGCM_sys_RshMaster "IGCM_card_DefineVariableFromOption \
-       ${SUBMIT_DIR}/run.card PostProcessing TimeSeriesRunning ; \
-       echo \${run_PostProcessing_TimeSeriesRunning}" )
-
-    #if [ X${Running_Flag} = Xy ] ; then
-    #    # Time Series Job allready running
-    #	IGCM_debug_Print 1 "Time Series Job allready running exit"
-    #	exit
-    #fi
-    # Now run.card know we are running
-
-
-
-
-    IGCM_sys_RshMaster IGCM_card_WriteOption ${SUBMIT_DIR}/run.card PostProcessing TimeSeriesRunning "y"
-
-
-
-
-
-    # Get information from last execution
-    #CompletedFlag=$( IGCM_sys_RshMaster \
-    #	"IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card PostProcessing TimeSeriesCompleted ;\
-    #        echo \${run_PostProcessing_TimeSeriesCompleted}" )
+  Running_Flag=$( IGCM_sys_RshMaster "IGCM_card_DefineVariableFromOption \
+  ${SUBMIT_DIR}/run.card PostProcessing TimeSeriesRunning ; \
+  echo \${run_PostProcessing_TimeSeriesRunning}" )
+
+  #if [ X${Running_Flag} = Xy ] ; then
+  #  # Time Series Job allready running
+  #  IGCM_debug_Print 1 "Time Series Job allready running exit"
+  #  exit
+  #fi
+  # Now run.card know we are running
+
+
+
+
+  IGCM_sys_RshMaster IGCM_card_WriteOption ${SUBMIT_DIR}/run.card PostProcessing TimeSeriesRunning "y"
+
+
+
+
+
+  # Get information from last execution
+  #CompletedFlag=$( IGCM_sys_RshMaster \
+  # "IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card PostProcessing TimeSeriesCompleted ;\
+  #        echo \${run_PostProcessing_TimeSeriesCompleted}" )
 fi
 
@@ -443,60 +443,60 @@
 
 if ( [ X${CompletedFlag} = X ] || [ X${CompletedFlag} = X$( IGCM_date_AddDaysToGregorianDate ${DateBegin} -1 ) ] ) ; then
-    # First Time Series Submission
-    FIRST_PASS=TRUE
-    Length=$( IGCM_date_DaysInPreviousPeriod ${DateBegin} ${config_UserChoices_PeriodLength} begin)
-    DATE_FIN_JOB_B=$( IGCM_date_AddDaysToGregorianDate ${DateBegin} $(( Length - 1 )) )
+  # First Time Series Submission
+  FIRST_PASS=TRUE
+  Length=$( IGCM_date_DaysInPreviousPeriod ${DateBegin} ${config_UserChoices_PeriodLength} begin)
+  DATE_FIN_JOB_B=$( IGCM_date_AddDaysToGregorianDate ${DateBegin} $(( Length - 1 )) )
 else
-    # Last Completed Time Series
-    FIRST_PASS=FALSE
-    DATE_FIN_JOB_B=${CompletedFlag}
-    date=${DateBegin}_${DATE_FIN_JOB_B}
-    for comp in ${config_ListOfComponents[*]} ; do
-	#
-	IGCM_sys_Mkdir ${RUN_DIR_PATH}/${comp}
-        #
-	IGCM_sys_Cd ${RUN_DIR_PATH}/${comp}
-	#
-	#set -A liste_file
-	unset liste_file
-	#
-	file_path=${R_SAVE}/${comp}/Analyse
-	#
-	i=0
-	file=${NULL_STR}
-	#
-	for file in $( eval echo \${LISTE_FILE_${comp}[*]} ); do
-	    #
-	    # Determine in which output can we find file
-	    # IE : Analyse/TS or Analyse/DA2TS or ...
-	    #
-	    FlagDir=$( echo ${file} | awk -F "_" '{print $1}' )
-	    case ${FlagDir} in
-	    	*Y)  TS_Dir=TS_YE  ;;
-	    	*M)  TS_Dir=TS_MO  ;;
-	    	*D)  TS_Dir=TS_DA  ;;
-		HF)  TS_Dir=TS_HF  ;;
-		3H)  TS_Dir=TS_HF  ;;
-		INS) TS_Dir=TS_INS ;;
-	    esac
-	    for var in $( eval echo \${LISTE_VARS_${file}[*]} ) ; do
-		#
-		#set +A liste_file ${liste_file[*]} ${file_path}/${TS_Dir}/${config_UserChoices_JobName}_${date}_${FlagDir}_${var}.nc
-		liste_file[${#liste_file[*]}]=${file_path}/${TS_Dir}/${config_UserChoices_JobName}_${date}_${FlagDir}_${var}.nc
-		#
-	    done
-	done
-	if [ X${file} != X${NULL_STR} ] ; then
-	    IGCM_sys_Get /l liste_file[*] ${RUN_DIR_PATH}/${comp}
-	    # Even if some files are missing we tried to continue
-	    # Either ListVar in compname.card are asked but not present in original history file
-	    # Either a previous TS task failed
-	    ExitFlag=false
-	    IGCM_debug_Verif_Exit_Post
-	fi
+  # Last Completed Time Series
+  FIRST_PASS=FALSE
+  DATE_FIN_JOB_B=${CompletedFlag}
+  date=${DateBegin}_${DATE_FIN_JOB_B}
+  for comp in ${config_ListOfComponents[*]} ; do
+    #
+    IGCM_sys_Mkdir ${RUN_DIR_PATH}/${comp}
+    #
+    IGCM_sys_Cd ${RUN_DIR_PATH}/${comp}
+    #
+    #set -A liste_file
+    unset liste_file
+    #
+    file_path=${R_SAVE}/${comp}/Analyse
+    #
+    i=0
+    file=${NULL_STR}
+    #
+    for file in $( eval echo \${LISTE_FILE_${comp}[*]} ); do
+      #
+      # Determine in which output can we find file
+      # IE : Analyse/TS or Analyse/DA2TS or ...
+      #
+      FlagDir=$( echo ${file} | awk -F "_" '{print $1}' )
+      case ${FlagDir} in
+        *Y)  TS_Dir=TS_YE  ;;
+        *M)  TS_Dir=TS_MO  ;;
+        *D)  TS_Dir=TS_DA  ;;
+        HF)  TS_Dir=TS_HF  ;;
+        3H)  TS_Dir=TS_HF  ;;
+        INS) TS_Dir=TS_INS ;;
+      esac
+      for var in $( eval echo \${LISTE_VARS_${file}[*]} ) ; do
+        #
+        #set +A liste_file ${liste_file[*]} ${file_path}/${TS_Dir}/${config_UserChoices_JobName}_${date}_${FlagDir}_${var}.nc
+        liste_file[${#liste_file[*]}]=${file_path}/${TS_Dir}/${config_UserChoices_JobName}_${date}_${FlagDir}_${var}.nc
+        #
+      done
     done
-    #
-    LEVEL=0
-    #
+    if [ X${file} != X${NULL_STR} ] ; then
+      IGCM_sys_Get /l liste_file[*] ${RUN_DIR_PATH}/${comp}
+      # Even if some files are missing we tried to continue
+      # Either ListVar in compname.card are asked but not present in original history file
+      # Either a previous TS task failed
+      ExitFlag=false
+      IGCM_debug_Verif_Exit_Post
+    fi
+  done
+  #
+  LEVEL=0
+  #
 fi
 
@@ -513,19 +513,19 @@
 
 if [ ${DoJob} = true ] ; then
-    while [ ${DATE_COUNT} -lt ${PeriodDateEnd} ] ; do
-	(( NBRE_FILE_TOT = NBRE_FILE_TOT + 1 ))
-	Length=$( IGCM_date_DaysInNextPeriod ${DATE_COUNT} ${config_UserChoices_PeriodLength} )
-	DATE_COUNT=$( IGCM_date_AddDaysToGregorianDate ${DATE_COUNT} ${Length} )
-    done
+  while [ ${DATE_COUNT} -lt ${PeriodDateEnd} ] ; do
+    (( NBRE_FILE_TOT = NBRE_FILE_TOT + 1 ))
+    Length=$( IGCM_date_DaysInNextPeriod ${DATE_COUNT} ${config_UserChoices_PeriodLength} )
+    DATE_COUNT=$( IGCM_date_AddDaysToGregorianDate ${DATE_COUNT} ${Length} )
+  done
 else
-    NBRE_FILE_TOT=0
+  NBRE_FILE_TOT=0
 fi
 
 if [ ${NBRE_FILE_TOT} -le ${UNIX_MAX_LIMIT} ] ; then
-    NBRE_TOUR=1 
+  NBRE_TOUR=1 
 elif [ ${NBRE_FILE_TOT}%${UNIX_MAX_LIMIT} -eq 0 ] ; then
-    let NBRE_TOUR=${NBRE_FILE_TOT}/${UNIX_MAX_LIMIT} 
+  let NBRE_TOUR=${NBRE_FILE_TOT}/${UNIX_MAX_LIMIT} 
 else
-    let NBRE_TOUR=${NBRE_FILE_TOT}/${UNIX_MAX_LIMIT}+1
+  let NBRE_TOUR=${NBRE_FILE_TOT}/${UNIX_MAX_LIMIT}+1
 fi
 
